################################################################################
#
#   Constraints for DIOT System Board Version 1
#
################################################################################
set_property PACKAGE_PIN AJ4 [get_ports sfp_rxp]
set_property PACKAGE_PIN AJ3 [get_ports sfp_rxn]
set_property PACKAGE_PIN AJ8 [get_ports sfp_txp]
set_property PACKAGE_PIN AJ7 [get_ports sfp_txn]

set_property PACKAGE_PIN K22 [get_ports {emio_i2c_scl[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {emio_i2c_scl[0]}]
set_property PACKAGE_PIN J20 [get_ports {emio_i2c_sda[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {emio_i2c_sda[0]}]

#gtref_clock
set_property PACKAGE_PIN AH10 [get_ports gtrefclk_in_clk_p]
#125 MHz
create_clock -period 8.000 -name gt_ref_clk -waveform {0.000 4.000} [get_ports gtrefclk_in_clk_p]

set_property IOSTANDARD LVCMOS18 [get_ports *led]

#GPIO_LED[1]
#From SFP_ACT_LED from schematic
set_property PACKAGE_PIN J30 [get_ports {link_status_led[0]}]
#GPIO_LED[2]
#From SFP_LINK_LED from schematic
#GPIO_LED[4]
#From USER_LED2 from schematic
set_property PACKAGE_PIN AL26 [get_ports pl_reset_led]
#GPIO_LED[5]
#From USER_LED1 from schematic
set_property PACKAGE_PIN AT27 [get_ports {mdc_clk_led[0]}]

set_property PACKAGE_PIN K27 [get_ports {link_sync_led[0]}]

set_property PACKAGE_PIN A11 [get_ports {M_SCL_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {M_SCL_0[0]}]
set_property PACKAGE_PIN A12 [get_ports {M_SDA_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {M_SDA_0[0]}]

set_property PACKAGE_PIN H14 [get_ports {p_pres_i_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {p_pres_i_0[1]}]
set_property PACKAGE_PIN G14 [get_ports {p_pres_i_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {p_pres_i_0[0]}]

set_property PACKAGE_PIN A31 [get_ports pwr_cycle_req_o_0]
set_property IOSTANDARD LVCMOS18 [get_ports pwr_cycle_req_o_0]

set_property PACKAGE_PIN AL12 [get_ports {wrflash_scl[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {wrflash_scl[0]}]
set_property PACKAGE_PIN AT15 [get_ports {wrflash_sda[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {wrflash_sda[0]}]

set_property PACKAGE_PIN B15 [get_ports {bckpl_servmod_b[0]}]
set_property PACKAGE_PIN A13 [get_ports {bckpl_servmod_b[1]}]
set_property PACKAGE_PIN B13 [get_ports {bckpl_servmod_b[2]}]
set_property PACKAGE_PIN B14 [get_ports {bckpl_servmod_b[3]}]
set_property PACKAGE_PIN C14 [get_ports {bckpl_servmod_b[4]}]
set_property PACKAGE_PIN C13 [get_ports {bckpl_servmod_b[5]}]
set_property PACKAGE_PIN D14 [get_ports {bckpl_servmod_b[6]}]
set_property PACKAGE_PIN A15 [get_ports {bckpl_servmod_b[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {bckpl_servmod_b[0]}]
set_property PACKAGE_PIN H11 [get_ports bckpl_rst_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports bckpl_rst_n_o]
set_property PACKAGE_PIN AR8 [get_ports psu_alert_i]
set_property IOSTANDARD LVCMOS18 [get_ports psu_alert_i]

set_property IOSTANDARD LVCMOS33 [get_ports bckpl_scl]
set_property IOSTANDARD LVCMOS33 [get_ports bckpl_sda]
set_property PACKAGE_PIN F15 [get_ports bckpl_scl]
set_property PACKAGE_PIN G15 [get_ports bckpl_sda]

set_property PULLUP true [get_ports {bckpl_servmod_b[7]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[6]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[5]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[4]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[3]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[2]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[1]}]
set_property PULLUP true [get_ports {bckpl_servmod_b[0]}]

set_property PACKAGE_PIN AW5 [get_ports {clk_src_sel_o[1]}]
set_property PACKAGE_PIN AH17 [get_ports {clk_src_sel_o[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {clk_src_sel_o[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {clk_src_sel_o[0]}]

set_property PACKAGE_PIN J10 [get_ports f_rst]
set_property IOSTANDARD LVCMOS33 [get_ports f_rst]
